@import url("https://fonts.googleapis.com/css2?family=Lobster&display=swap");

* {
    margin: 0;
    padding: 0;
    font-family: 'Lobster', cursive;
}

section {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #350048;
}

section::before{
    content: '';
    position: absolute;
    top: 45%;
    left: 0;
    width: 100%;
    height: 50px;
    background: #bd00ff;
}

.container {
    width: 900px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}
.container .card {
    position: relative;
    width: 250px;
    height: 300px;
    text-align: center;
    z-index: 10;
    margin: 20px 20px 60px;
}

.container .card .box {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(255, 255, 255, 0.05);
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.1);
    z-index: 10;
    border-radius: 10px;
}

.percent {
    position: relative;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    z-index: 100;
}

.percent .number {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.percent .number h2 {
    color: white;
    font-weight: 700;
    font-size: 50px;
}

.percent .number h2 span{
    
    font-size: 24px;
}

.text {
    position: absolute;
    bottom: -42px;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    padding: 30px 20px 10px;
    border-radius: 10px;
    background: #f00;
    font-weight: 800;
    font-size: 18px;
    letter-spacing: 1px;
    text-transform: capitalize;
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
    z-index: 1;
    pointer-events: none;
    transition: bottom 0.5s, z-index 0s, transform 0.5s, padding 0.5s;
    color: white;
}

.card:hover .text {
    transition-delay: 0s, 0.5s, 0.5s, 0s;
    bottom: -70px;
    z-index: 11;
    transform: translateX(-50%) translateY(-50px);
    padding: 10px 20px 10px;
}

.card:nth-child(1) .text {
    background: #ff0461;
}

.card:nth-child(2) .text {
    background: #2bd2ff;
}

.card:nth-child(3) .text {
    background: #18d539;
}

svg {
    position: relative;
    width: 150px;
    height: 150px;
}

svg circle {
    width: 100%;
    height: 100%;
    fill: none;
    stroke-width: 10;
    stroke: rgba(255, 255, 255, 0.05);
    transform: translate(5px, 5px);
    stroke-linecap: round;
}

svg circle:nth-child(2) {
    stroke: white;
    stroke-dasharray: 440px;
    stroke-dashoffset: 80px;
}

.card:nth-child(1) svg circle:nth-child(2) {
    stroke-dashoffset: calc(440px - (440px * 90) /100)
}

.card:nth-child(2) svg circle:nth-child(2) {
    stroke-dashoffset: calc(440px - (440px * 82) /100)
}

.card:nth-child(3) svg circle:nth-child(2) {
    stroke-dashoffset: calc(440px - (440px * 65) /100)
}